using BarContracts.Attrubites;
using BarDataModels.Models;

namespace BarContracts.ViewModels
{
	public class ImplementerViewModel : IImplementerModel
    {
		[Column(Visible: false)]
		public int Id { get; set; }

		[Column(Title: "ФИО исполнителя", GridViewAutoSize: GridViewAutoSize.AllCells, IsUseAutoSize: true)]
		public string ImplementerFIO { get; set; } = string.Empty;

		[Column(Title: "Пароль", Width: 100)]
		public string Password { get; set; } = string.Empty;

		[Column(Title: "Стаж работы", GridViewAutoSize: GridViewAutoSize.Fill, IsUseAutoSize: true)]
		public int WorkExperience { get; set; }

		[Column(Title: "Квалификация", GridViewAutoSize: GridViewAutoSize.Fill, IsUseAutoSize: true)]
		public int Qualification { get; set; }
    }
}
